/*
 *  this script represents a level.
 *  argument0 == information request:
 *  0 == light level
 *  1 == needed points to advance
 *  2 == list of enemys
 *  3 == list of spawn chances; sum needs to be 1
 *  4 == spawn chance
 *  5 == damage multiplier
 *  6 == level name
 *  7 == list of enemy max 
 */
 
 
switch(argument0){
    case 0: return 0.3;
    case 1: return 60;
    case 2:
        var tmp;
        tmp = ds_list_create();
        ds_list_add(tmp, obj_testenemy);
        ds_list_add(tmp, obj_jellyfish);
        ds_list_add(tmp, obj_waste);
        ds_list_add(tmp, obj_pufferfish);
        ds_list_add(tmp, obj_light_evasion_2);
        return tmp;
    case 3:
        var tmp;
        tmp = ds_list_create();
        ds_list_add(tmp, 0.2);
        ds_list_add(tmp, 0.2);
        ds_list_add(tmp, 0.2);
        ds_list_add(tmp, 0.2);
        ds_list_add(tmp, 0.2);
        return tmp;
    case 4:
        return 0.05;
    case 5:
        return 1;
    case 6:
        return "-15.000 ft";
    case 7:
        var tmp;
        tmp = ds_list_create();
        ds_list_add(tmp, 5);
        ds_list_add(tmp, 2);
        ds_list_add(tmp, 6);
        ds_list_add(tmp, 3);
        ds_list_add(tmp, 2);
        return tmp;
}
